<?php
/*
 * -----------------------------------------------------------------------------
 * Class definition for the adress data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CAdressType {
	public $name = "";
	public $custno = "";
	public $street = "";
	public $city = "";
	public $zip = "";
	public $country = "";
	public $ftx="";
	public $ftx2 = "";
	public $ftx3 = "";
	public $ftx4 = "";
	public $ftx5 = "";
}

/*
 * -----------------------------------------------------------------------------
 * Class definition for the authentication data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CAuthenticationType {
	public $version = "0";
	public $customernr = "333";
	public $reference = "";
}

/*
 * -----------------------------------------------------------------------------
 * Class definition for the authentication data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CStatusType {
	public $reference = "";
	public $errcode = "";
	public $errtext = "";
	public $matchvalue = "";
	public $count_results = 0;
	public $count_goodlinks = 0;
	public $badguy = "NO";
	public $alarm = "";
	public $responsedate = "";
	public $responsetime = "";
}

/*
 * -----------------------------------------------------------------------------
 * Class definition for the authentication data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CRequestType {
    public $useBadGuy = false;
    public $useGoodLink = false;
	public $authentication = "";
	public $requestrow = array ();
}

/*
 * -----------------------------------------------------------------------------
 * Class definition for the response data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CResponseType {
	public $statusinfo = "";
	public $resultrow = array ();
}

/*
 * -----------------------------------------------------------------------------
 * Class definition for the response data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CResponsesType {
	public $authentication = "";
	public $response = array ();
}

/*
 * -----------------------------------------------------------------------------
 * Class definition for the response data
 * -----------------------------------------------------------------------------
 * This class is only used for data transmission purposes
 */
class CResultRowType {
	public $id = "";
	public $internal_id = "";
	public $goodlink = "NO";
	public $matchvalue = 0;
	public $adress = "";
	public $notes = "";
	public $deniallist = "";
	public $listdate = "";
}

function checkAdresse($kennung, $adresse) {
	if($kennung=="") {
		$kennung="webshoptest";
	}
	try {		
		$client = new SoapClient("https://zerberus.csf-solutions.com/soap/SoapService.wsdl",array("location" => 'https://zerberus.csf-solutions.com/soap/SoapService.php'));//, "trace"=>1, "exceptions"=>0));

		$request=new CRequestType();

		$auth=new CAuthenticationType();
		$auth->customernr=$kennung;
		$auth->reference='333';
		$auth->version='2';

		$adress=new CAdressType();
		if (!empty($adresse->cNachname))
			$adress->name=utf8_encode((isset($adresse->cVorname) ? $adresse->cVorname." ":"").$adresse->cNachname.(isset($adresse->cFirma) ? " ".$adresse->cFirma:""));
		if (!empty($adresse->cStrasse))
			$adress->street=utf8_encode($adresse->cStrasse);    
		if (!empty($adresse->cOrt))
			$adress->city=utf8_encode($adresse->cOrt);
		if (!empty($adresse->cLand))
			$adress->country=utf8_encode($adresse->cLand);
		if (!empty($adresse->cPLZ))
			$adress->zip=utf8_encode($adresse->cPLZ);
		
		$request->useBadGuy=false;	
		$request->useGoodLink=false;
			
		$request->authentication=$auth;
		$request->requestrow[0]=$adress;

		$response=$client->checkPerson($request);
		return $response;
	} catch (Exception $e) {
		return false;
	}
	
}
