<?php
require_once(PFAD_ROOT.PFAD_INCLUDES."tools.Global.php");
require_once(PFAD_ROOT.PFAD_INCLUDES."mailTools.php");
require_once ($oPlugin->cFrontendPfad . 'inc/functions.php');
if(!class_exists('lpxExampleHelper')){
	require_once ($oPlugin->cFrontendPfad . 'inc/class.jtl_example.helper.php');
}
$helper = lpxExampleHelper::getInstance($oPlugin);

$nAnzahlProSeite = 15;
$checks=$helper->db->executeQuery("SELECT * FROM xplugin_lpx_zerberus_history", 2);
$pagination = array("page" => 0, "count" => $nAnzahlProSeite, "max"=>ceil(count($checks)/$nAnzahlProSeite));

if (!isset($_SESSION['lpx_admin_pagination']) && (isset($_REQUEST['page']))) {
    $_SESSION['lpx_admin_pagination'] = array();
}
if (isset($_REQUEST['page'])) {
    $_SESSION['lpx_admin_pagination']['page'] = (int) $_REQUEST['page'];
}
if (isset($_SESSION['lpx_admin_pagination'])) {
    if (isset($_SESSION['lpx_admin_pagination']['page'])) {
        $pagination['page'] = $_SESSION['lpx_admin_pagination']['page'];
    }
} else {
    $_SESSION['lpx_admin_pagination'] = $pagination;
}

if (isset($_REQUEST['lpx_search']) && isset($_REQUEST['search']) && strlen($_REQUEST['search']) > 0) {
    $search = $helper->db->escape($_REQUEST['search']);
    $lpx_search['lastsearch'] = StringHandler::filterXSS($search);
}

// setup pagination
$pagination['currentPage'] = $pagination['page'];
if (empty($checks) || count($checks) < $nAnzahlProSeite ) {
    $pagination['nextPage'] = $pagination['page'];
} else {
    $pagination['nextPage'] = $pagination['page'] + 1;
}
if ($pagination['page'] > 0) {
    $pagination['prevPage'] = $pagination['page'] - 1;
} else {
    $pagination['prevPage'] = $pagination['page'];
}

$sql = "SELECT * FROM xplugin_lpx_zerberus_history ORDER BY id DESC LIMIT " . (int)$pagination['count'] . " OFFSET " . (int)$pagination['page'];
$zerb_arr= $helper->db->executeQuery($sql, 2);
$zerberus=array();
	foreach ($zerb_arr as $entry) {
		$zerberus[]=array(
				'ReAdresse' => (($entry->ReAdresse=="manuell") ? 'manuell' :(unserialize($entry->ReAdresse)) )
				,'LiAdresse' => (unserialize($entry->LiAdresse))
				,'Bestellung' => (($entry->Bestellung=="manuell") ? 'manuell' : get_object_vars(unserialize($entry->Bestellung)) ) 
				,'SOAPResponse'=> get_object_vars(unserialize($entry->SOAPResponse))
				);
	}

$oTab = $helper->db->executeQuery("SELECT * FROM tpluginadminmenu WHERE kPlugin=" . $oPlugin->kPlugin . " AND cDateiname='lpx_historie.php'",1);
$smarty->assign('zerberus_arr', $zerberus)
		->assign('modern', $helper->isModern())
		->assign('pagination', $pagination)
		->assign('kPlugin', $oPlugin->kPlugin)
		->assign('Tab', $oTab->kPluginAdminMenu )
		->assign('pluginAdminUrl', 'plugin.php?kPlugin=' . $oPlugin->kPlugin . '&cPluginTab='.$oTab->kPluginAdminMenu.'&');
$smarty->display($oPlugin->cAdminmenuPfad.'templates/lpx_historie.tpl');